VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::SizeParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::SizeParams:

## Avaliable Methods
public method | set_approximate_sparse_deployment_size ()
public method | set_type ()
public method | set_approximate_download_size ()
public method | get_approximate_sparse_deployment_size ()
public method | set_approximate_flat_deployment_size ()
public method | set_variable_disk_size ()
public method | get_approximate_download_size ()
public method | new ()
public method | get_type ()
public method | get_approximate_flat_deployment_size ()
public method | get_variable_disk_size ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::SizeParams` class contains estimates of the download and deployment sizes.

This information is based on the file references and the ovf:DiskSection in the OVF descriptor.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::SizeParams::get_approximate_download_size | ( |  | ) |

Gets the value of 'approximate_download_size' property.

Return values

  approximate_download_size | - The current value of the field. A best guess as to the total amount of data that must be transferred to download the OVF package.

This may be inaccurate due to disk compression etc.

optional#

Code:
click to view
# Number of lines of code in get_approximate_download_size: 4
sub get_approximate_download_size {
my ($self, %args) = @_;
return $self->{'approximate_download_size'};
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::get_approximate_flat_deployment_size | ( |  | ) |

Gets the value of 'approximate_flat_deployment_size' property.

Return values

  approximate_flat_deployment_size | - The current value of the field. A best guess as to the total amount of space required to deploy the OVF package if using flat disks. optional#

Code:
click to view
# Number of lines of code in get_approximate_flat_deployment_size: 4
sub get_approximate_flat_deployment_size {
my ($self, %args) = @_;
return $self->{'approximate_flat_deployment_size'};
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::get_approximate_sparse_deployment_size | ( |  | ) |

Gets the value of 'approximate_sparse_deployment_size' property.

Return values

  approximate_sparse_deployment_size | - The current value of the field. A best guess as to the total amount of space required to deploy the OVF package using sparse disks. optional#

Code:
click to view
# Number of lines of code in get_approximate_sparse_deployment_size: 4
sub get_approximate_sparse_deployment_size {
my ($self, %args) = @_;
return $self->{'approximate_sparse_deployment_size'};
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::get_variable_disk_size | ( |  | ) |

Gets the value of 'variable_disk_size' property.

Return values

  variable_disk_size | - The current value of the field. Whether the OVF uses variable disk sizes.

For empty disks, rather than specifying a fixed virtual disk capacity, the capacity may be given using a reference to a ovf:Property element in a ovf:ProductSection element in OVF package.

optional#

Code:
click to view
# Number of lines of code in get_variable_disk_size: 4
sub get_variable_disk_size {
my ($self, %args) = @_;
return $self->{'variable_disk_size'};
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::SizeParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{approximate_download_size} = $args{'approximate_download_size'};
$self->{approximate_flat_deployment_size} = $args{'approximate_flat_deployment_size'};
$self->{approximate_sparse_deployment_size} = $args{'approximate_sparse_deployment_size'};
$self->{variable_disk_size} = $args{'variable_disk_size'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::SizeParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.size_params');
$self->set_binding_field('key' => 'approximate_download_size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'approximate_flat_deployment_size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'approximate_sparse_deployment_size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'variable_disk_size', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::set_approximate_download_size | ( |  | ) |

Sets the given value for 'approximate_download_size' property.

Parameters

  approximate_download_size | - New value for the field. A best guess as to the total amount of data that must be transferred to download the OVF package.

This may be inaccurate due to disk compression etc.

Code:
click to view
# Number of lines of code in set_approximate_download_size: 5
sub set_approximate_download_size {
my ($self, %args) = @_;
$self->{'approximate_download_size'} = $args{'approximate_download_size'};
return;
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::set_approximate_flat_deployment_size | ( |  | ) |

Sets the given value for 'approximate_flat_deployment_size' property.

Parameters

  approximate_flat_deployment_size | - New value for the field. A best guess as to the total amount of space required to deploy the OVF package if using flat disks.

Code:
click to view
# Number of lines of code in set_approximate_flat_deployment_size: 5
sub set_approximate_flat_deployment_size {
my ($self, %args) = @_;
$self->{'approximate_flat_deployment_size'} = $args{'approximate_flat_deployment_size'};
return;
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::set_approximate_sparse_deployment_size | ( |  | ) |

Sets the given value for 'approximate_sparse_deployment_size' property.

Parameters

  approximate_sparse_deployment_size | - New value for the field. A best guess as to the total amount of space required to deploy the OVF package using sparse disks.

Code:
click to view
# Number of lines of code in set_approximate_sparse_deployment_size: 5
sub set_approximate_sparse_deployment_size {
my ($self, %args) = @_;
$self->{'approximate_sparse_deployment_size'} = $args{'approximate_sparse_deployment_size'};
return;
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Vcenter::Ovf::SizeParams::set_variable_disk_size | ( |  | ) |

Sets the given value for 'variable_disk_size' property.

Parameters

  variable_disk_size | - New value for the field. Whether the OVF uses variable disk sizes.

For empty disks, rather than specifying a fixed virtual disk capacity, the capacity may be given using a reference to a ovf:Property element in a ovf:ProductSection element in OVF package.

Code:
click to view
# Number of lines of code in set_variable_disk_size: 5
sub set_variable_disk_size {
my ($self, %args) = @_;
$self->{'variable_disk_size'} = $args{'variable_disk_size'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/SizeParams.pm